<?php 
/*
Template Name: Contact Page
*/

get_header();

$google_map_is_enabled    = stockholm_qode_options()->getOptionValue( 'enable_google_map' ) == "yes";
$google_maps_scroll_wheel = stockholm_qode_options()->getOptionValue( 'google_maps_scroll_wheel' ) == "yes";
$google_map_position      = stockholm_qode_options()->getOptionValue( 'google_map_position' ) ? stockholm_qode_options()->getOptionValue( 'google_map_position' ) : 'bottom_position';

$container_classes = array();
if ( $google_map_is_enabled ) {
	$container_classes[] = "full_map";
}

if ( $google_map_is_enabled && ( $google_map_position == "right_position" || $google_map_position == "left_position" ) ) {
	$container_classes[] = 'map_lr map_' . $google_map_position;
}

$show_section = "yes";
if ( stockholm_qode_options()->getOptionValue( 'section_between_map_form' ) ) {
	$show_section = stockholm_qode_options()->getOptionValue( 'section_between_map_form' );
}
?>
<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	
	<?php if ( $google_map_is_enabled && $google_map_position == "top_position" ) { ?>
		<div class="google_map_holder">
			<?php if ( ! $google_maps_scroll_wheel ) { ?>
				<div class="google_map_ovrlay"></div>
			<?php } ?>
			<div class="q_google_map" id="map_canvas"></div>
		</div>
	<?php } ?>

    <div class="full_width" <?php stockholm_qode_inline_page_background_style(); ?>>
        <div class="full_width_inner" <?php stockholm_qode_inline_page_padding_style(); ?>>
            <div class="contact_info">
				<?php the_content(); ?>
			</div>
        </div>
    </div>

	<?php if ( $show_section == "yes" || stockholm_qode_options()->getOptionValue( 'enable_contact_form' ) == "yes" ) { ?>
		<div class="container" <?php stockholm_qode_inline_page_background_style(); ?>>
			<div class="container_inner clearfix q_contact_page default_template_holder <?php echo esc_attr( implode( ' ', $container_classes ) ); ?>">
				<div class="contact_detail">
					<?php if ( $show_section == "yes" ) { ?>
						<div class="contact_section <?php if ( stockholm_qode_options()->getOptionValue( 'contact_section_text_align' ) !== '' ) { echo esc_attr( stockholm_qode_options()->getOptionValue( 'contact_section_text_align' ) ); } ?>">
							<?php if ( stockholm_qode_options()->getOptionValue( 'contact_section_above_form_subtitle' ) !== "" ) { ?>
								<h4><?php echo wp_kses_post( stockholm_qode_options()->getOptionValue( 'contact_section_above_form_subtitle' ) ); ?></h4>
							<?php } ?>
							
							<?php if ( stockholm_qode_options()->getOptionValue( 'contact_section_above_form_title' ) !== "" ) { ?>
								<h2><?php echo wp_kses_post( stockholm_qode_options()->getOptionValue( 'contact_section_above_form_title' ) ); ?></h2>
							<?php } ?>
						</div>
					<?php } ?>
					<?php if ( stockholm_qode_options()->getOptionValue( 'enable_contact_form' ) == "yes" ) {
						$custom_style = "";
						if ( stockholm_qode_options()->getOptionValue( 'use_custom_style' ) == 'yes' ) {
							$custom_style = 'cf7_custom_style_1';
						}
						?>
						<div class="contact_form <?php echo esc_attr( $custom_style ) ?>">
							<?php if ( stockholm_qode_options()->getOptionValue( 'contact_heading_above' ) !== "" ) { ?>
								<h5> <?php echo esc_html( stockholm_qode_options()->getOptionValue( 'contact_heading_above' ) ); ?> </h5>
							<?php } ?>
							<form id="contact-form" method="post" action="">
								<div class="two_columns_50_50 clearfix">
									<div class="column1">
										<div class="column_inner">
											<input type="text" class="requiredField" name="fname" id="fname" value="" placeholder="<?php esc_attr_e( 'First Name *', 'stockholm' ); ?>"/>
										</div>
									</div>
									<div class="column2">
										<div class="column_inner">
											<input type="text" class="requiredField" name="lname" id="lname" value="" placeholder="<?php esc_attr_e( 'Last Name *', 'stockholm' ); ?>"/>
										</div>
									</div>
								</div>
								<?php if ( stockholm_qode_options()->getOptionValue( 'hide_contact_form_website' ) == "yes" ) { ?>
									<input type="text" class="requiredField email" name="email" id="email" value="" placeholder="<?php esc_attr_e( 'Email *', 'stockholm' ); ?>"/>
									<input type="hidden" name="website" id="website" value=""/>
								<?php } else { ?>
									<div class="two_columns_50_50 clearfix">
										<div class="column1">
											<div class="column_inner">
												<input type="text" class="requiredField email" name="email" id="email" value="" placeholder="<?php esc_attr_e( 'Email *', 'stockholm' ); ?>"/>
											</div>
										</div>
										<div class="column2">
											<div class="column_inner">
												<input type="text" name="website" id="website" value="" placeholder="<?php esc_attr_e( 'Website', 'stockholm' ); ?>"/>
											</div>
										</div>
									</div>
								<?php } ?>
								
								<textarea name="message" id="message" rows="10" placeholder="<?php esc_attr_e('Message', 'stockholm'); ?>"></textarea>
								
								<?php if ( stockholm_qode_options()->getOptionValue( 'use_recaptcha' ) == "yes" && stockholm_qode_is_core_installed() ) :
									require_once STOCKHOLM_CORE_MODULES_PATH . '/recaptchalib.php';
								
									if ( stockholm_qode_options()->getOptionValue( 'recaptcha_public_key' ) ) {
										$publickey = stockholm_qode_options()->getOptionValue( 'recaptcha_public_key' );
									} else {
										$publickey = "6Ld5VOASAAAAABUGCt9ZaNuw3IF-BjUFLujP6C8L";
									}
									if ( stockholm_qode_options()->getOptionValue( 'recaptcha_private_key' ) ) {
										$privatekey = stockholm_qode_options()->getOptionValue( 'recaptcha_private_key' );
									} else {
										$privatekey = "6Ld5VOASAAAAAKQdKVcxZ321VM6lkhBsoT6lXe9Z";
									}
									
									if ( stockholm_qode_options()->getOptionValue( 'page_transitions' ) != "" ){ ?>
										<script type="text/javascript">
											var RecaptchaOptions = {theme: 'clean'};
											Recaptcha.create("<?php echo esc_attr( $publickey ); ?>", "captchaHolder", {
												theme: "clean",
												callback: Recaptcha.focus_response_field
											});
										</script>
									<?php } ?>
									<p id="captchaHolder"><?php echo recaptcha_get_html( $publickey ); ?></p>
									<p id="captchaStatus">&nbsp;</p>
								<?php endif; ?>
								
								<span class="submit_button_contact">
									<input class="qbutton contact_form_button" type="submit" value="<?php esc_attr_e( 'Contact Us', 'stockholm' ); ?>"/>
								</span>
							</form>	
						</div>
					<?php } ?>
				</div>
				<!-- Contact form right/left -->
				<?php if ( $google_map_is_enabled == "yes" && ( $google_map_position == "right_position" || $google_map_position == "left_position" ) ) { ?>
					<div class="google_map_holder">
						<?php if ( ! $google_maps_scroll_wheel ) { ?>
							<div class="google_map_ovrlay"></div>
						<?php } ?>
						<div class="q_google_map" id="map_canvas"></div>
					</div>
				<?php } ?>
			</div>	
	    </div>
	    <?php } ?>
		<?php if ( $google_map_is_enabled && $google_map_position == "bottom_position" ) { ?>
			<div class="google_map_holder">
				<?php if ( ! $google_maps_scroll_wheel ) { ?>
					<div class="google_map_ovrlay"></div>
				<?php } ?>
				<div class="q_google_map" id="map_canvas"></div>
			</div>
		<?php } ?>
<?php endwhile; ?>
<?php endif; ?>
<script type="text/javascript">
	jQuery(document).ready(function ($) {
		"use strict";
		
		$j('form#contact-form').submit(function () {
			$j('form#contact-form .contact-error').remove();
			var hasError = false;
			$j('form#contact-form .requiredField').each(function () {
				if (jQuery.trim($j(this).val()) === '' || jQuery.trim($j(this).val()) === jQuery.trim($j(this).attr('placeholder'))) {
					$j(this).parent().append("<strong class='contact-error'><?php esc_attr_e( 'This is a required field', 'stockholm' ); ?></strong>");
					$j(this).addClass('inputError');
					hasError = true;
				} else {
					if ($j(this).hasClass('email')) { //if hasClass('email')
						var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,6})?$/;
						if (!emailReg.test(jQuery.trim($j(this).val()))) {
							$j(this).parent().append("<strong class='contact-error'><?php esc_html_e( 'Please enter a valid email address.', 'stockholm' ); ?></strong>");
							$j(this).addClass('inputError');
							hasError = true;
						}
					}
				}
			});
			
			if (!hasError) {
				var challengeField = $j("input#recaptcha_challenge_field").val();
				var responseField = $j("input#recaptcha_response_field").val();
				var name = $j("input#fname").val();
				var lastname = $j("input#lname").val();
				var email = $j("input#email").val();
				var website = $j("input#website").val();
				var message = $j("textarea#message").val();
				
				var html = $j.ajax({
					type: "POST",
					url: "<?php echo stockholm_qode_is_core_installed() ? STOCKHOLM_CORE_MODULES_URL_PATH . '/ajax_mail.php' : '' ?>",
					data: "recaptcha_challenge_field=" + challengeField + "&recaptcha_response_field=" + responseField + "&name=" + name + "&lastname=" + lastname + "&email=" + email + "&website=" + website + "&message=" + message,
					async: false
				}).responseText;
				
				if (html === "success") {
					var formInput = $j(this).serialize();
					
					$j("form#contact-form").before("<div class='contact-success'><strong><?php esc_html_e( 'THANK YOU!', 'stockholm' ); ?></strong><p><?php esc_html_e( 'Your email was successfully sent. We will contact you as soon as possible.', 'stockholm' ); ?></p></div>");
					$j("form#contact-form").hide();
					$j.post($j(this).attr('action'), formInput);
					hasError = false;
					return false;
				} else {
					<?php if ( stockholm_qode_options()->getOptionValue( 'use_recaptcha' ) == "yes"){ ?>
						$j("#recaptcha_response_field").parent().append("<span class='contact-error extra-padding'><?php esc_html_e( 'Invalid Captcha', 'stockholm' ); ?></span>");
						Recaptcha.reload();
					<?php } else { ?>
						$j("form#contact-form").before("<div class='contact-success'><strong><?php esc_html_e( 'Email server problem', 'stockholm' ); ?></strong></p></div>");
					<?php } ?>
					return false;
				}
			}
			return false;
		});
	});
</script>
<?php get_footer(); ?>